Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.configuration
Interface Constants

    public interface Constants

Defines the names of runtime properties and DI collections used in DI modules used to configure server and client runtime.

Since:
  3.1

Field Summary
`static java.lang.String` | `JDBC_DRIVER_PROPERTY`
`static java.lang.String` | `JDBC_MAX_CONNECTIONS_PROPERTY`
`static java.lang.String` | `JDBC_MIN_CONNECTIONS_PROPERTY`
`static java.lang.String` | `JDBC_PASSWORD_PROPERTY`
`static java.lang.String` | `JDBC_URL_PROPERTY`
`static java.lang.String` | `JDBC_USERNAME_PROPERTY`
`static java.lang.String` | `PROPERTIES_MAP` A DI container key for the Map storing properties used by built-in Cayenne service.
`static java.lang.String` | `QUERY_CACHE_SIZE_PROPERTY` An integer property defining the maximum number of entries in the query cache.
`static java.lang.String` | `ROP_CHANNEL_EVENTS_PROPERTY`
`static java.lang.String` | `ROP_CONTEXT_CHANGE_EVENTS_PROPERTY`
`static java.lang.String` | `ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY`
`static java.lang.String` | `ROP_SERVICE_PASSWORD_PROPERTY`
`static java.lang.String` | `ROP_SERVICE_SHARED_SESSION_PROPERTY`
`static java.lang.String` | `ROP_SERVICE_TIMEOUT_PROPERTY`
`static java.lang.String` | `ROP_SERVICE_URL_PROPERTY`
`static java.lang.String` | `ROP_SERVICE_USERNAME_PROPERTY`
`static java.lang.String` | `SERVER_ADAPTER_DETECTORS_LIST` A DI container key for the List that contains objects that can discover the type of current database and install the correct DbAdapter in runtime.
`static java.lang.String` | `SERVER_CONTEXTS_SYNC_PROPERTY` A boolean property defining whether cross-contexts synchronization is enabled.
`static java.lang.String` | `SERVER_DEFAULT_TYPES_LIST` A DI container key for the List storing default adapter-agnostic ExtendedTypes.
`static java.lang.String` | `SERVER_DOMAIN_FILTERS_LIST` A DI container key for the List storing DataDomain filters.
`static java.lang.String` | `SERVER_MAX_ID_QUALIFIER_SIZE_PROPERTY` A property that defines a maximum number of ID qualifiers in where clause of queries that are generated for example in `IncrementalFaultList` or in DISJOINT_BY_ID prefetch processing.
`static java.lang.String` | `SERVER_OBJECT_RETAIN_STRATEGY_PROPERTY` A String property that defines how ObjectContexts should retain cached committed objects.
`static java.lang.String` | `SERVER_PROJECT_LOCATIONS_LIST` A DI container key for the List storing locations of the one of more project configuration files.
`static java.lang.String` | `SERVER_ROP_EVENT_BRIDGE_FACTORY_PROPERTY` The name of the `EventBridgeFactory` that is passed from the ROP server to the client.
`static java.lang.String` | `SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP` A server-side DI container key for the Map storing event bridge properties passed to the ROP client on bootstrap.
`static java.lang.String` | `SERVER_TYPE_FACTORIES_LIST` A DI container key for the List storing default and user-provided ExtendedTypeFactories.
`static java.lang.String` | `SERVER_USER_TYPES_LIST` A DI container key for the List storing a user-provided ExtendedTypes.

Field Detail

### PROPERTIES_MAP

    static final java.lang.String PROPERTIES_MAP

  A DI container key for the Map storing properties used by built-in Cayenne service.

  See Also:
    Constant Field Values

### SERVER_ADAPTER_DETECTORS_LIST

    static final java.lang.String SERVER_ADAPTER_DETECTORS_LIST

  A DI container key for the List that contains objects that can discover the type of current database and install the correct DbAdapter in runtime.

  See Also:
    Constant Field Values

### SERVER_DOMAIN_FILTERS_LIST

    static final java.lang.String SERVER_DOMAIN_FILTERS_LIST

  A DI container key for the List storing DataDomain filters.

  See Also:
    Constant Field Values

### SERVER_PROJECT_LOCATIONS_LIST

    static final java.lang.String SERVER_PROJECT_LOCATIONS_LIST

  A DI container key for the List storing locations of the one of more project configuration files.

  See Also:
    Constant Field Values

### SERVER_DEFAULT_TYPES_LIST

    static final java.lang.String SERVER_DEFAULT_TYPES_LIST

  A DI container key for the List storing default adapter-agnostic ExtendedTypes.

  See Also:
    Constant Field Values

### SERVER_USER_TYPES_LIST

    static final java.lang.String SERVER_USER_TYPES_LIST

  A DI container key for the List storing a user-provided ExtendedTypes.

  See Also:
    Constant Field Values

### SERVER_TYPE_FACTORIES_LIST

    static final java.lang.String SERVER_TYPE_FACTORIES_LIST

  A DI container key for the List storing default and user-provided ExtendedTypeFactories.

  See Also:
    Constant Field Values

### SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP

    static final java.lang.String SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP

  A server-side DI container key for the Map storing event bridge properties passed to the ROP client on bootstrap.

  See Also:
    Constant Field Values

### JDBC_DRIVER_PROPERTY

    static final java.lang.String JDBC_DRIVER_PROPERTY

See Also:
  Constant Field Values

### JDBC_URL_PROPERTY

    static final java.lang.String JDBC_URL_PROPERTY

See Also:
  Constant Field Values

### JDBC_USERNAME_PROPERTY

    static final java.lang.String JDBC_USERNAME_PROPERTY

See Also:
  Constant Field Values

### JDBC_PASSWORD_PROPERTY

    static final java.lang.String JDBC_PASSWORD_PROPERTY

See Also:
  Constant Field Values

### JDBC_MIN_CONNECTIONS_PROPERTY

    static final java.lang.String JDBC_MIN_CONNECTIONS_PROPERTY

See Also:
  Constant Field Values

### JDBC_MAX_CONNECTIONS_PROPERTY

    static final java.lang.String JDBC_MAX_CONNECTIONS_PROPERTY

See Also:
  Constant Field Values

### QUERY_CACHE_SIZE_PROPERTY

    static final java.lang.String QUERY_CACHE_SIZE_PROPERTY

  An integer property defining the maximum number of entries in the query cache. Note that not all QueryCache providers may respect this property. MapQueryCache uses it, but the rest would use alternative configuration methods.

  See Also:
    Constant Field Values

### SERVER_CONTEXTS_SYNC_PROPERTY

    static final java.lang.String SERVER_CONTEXTS_SYNC_PROPERTY

  A boolean property defining whether cross-contexts synchronization is enabled. Possible values are "true" or "false".

  See Also:
    Constant Field Values

### SERVER_OBJECT_RETAIN_STRATEGY_PROPERTY

    static final java.lang.String SERVER_OBJECT_RETAIN_STRATEGY_PROPERTY

  A String property that defines how ObjectContexts should retain cached committed objects. Possible values are "weak", "soft", "hard".

  See Also:
    Constant Field Values

### ROP_SERVICE_URL_PROPERTY

    static final java.lang.String ROP_SERVICE_URL_PROPERTY

See Also:
  Constant Field Values

### ROP_SERVICE_USERNAME_PROPERTY

    static final java.lang.String ROP_SERVICE_USERNAME_PROPERTY

See Also:
  Constant Field Values

### ROP_SERVICE_PASSWORD_PROPERTY

    static final java.lang.String ROP_SERVICE_PASSWORD_PROPERTY

See Also:
  Constant Field Values

### ROP_SERVICE_SHARED_SESSION_PROPERTY

    static final java.lang.String ROP_SERVICE_SHARED_SESSION_PROPERTY

See Also:
  Constant Field Values

### ROP_SERVICE_TIMEOUT_PROPERTY

    static final java.lang.String ROP_SERVICE_TIMEOUT_PROPERTY

See Also:
  Constant Field Values

### ROP_CHANNEL_EVENTS_PROPERTY

    static final java.lang.String ROP_CHANNEL_EVENTS_PROPERTY

See Also:
  Constant Field Values

### ROP_CONTEXT_CHANGE_EVENTS_PROPERTY

    static final java.lang.String ROP_CONTEXT_CHANGE_EVENTS_PROPERTY

See Also:
  Constant Field Values

### ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY

    static final java.lang.String ROP_CONTEXT_LIFECYCLE_EVENTS_PROPERTY

See Also:
  Constant Field Values

### SERVER_ROP_EVENT_BRIDGE_FACTORY_PROPERTY

    static final java.lang.String SERVER_ROP_EVENT_BRIDGE_FACTORY_PROPERTY

  The name of the `EventBridgeFactory` that is passed from the ROP server to the client. Client would instantiate the factory to receive events from the server. Note that this property is stored in `SERVER_ROP_EVENT_BRIDGE_PROPERTIES_MAP`, not `PROPERTIES_MAP`.

  See Also:
    Constant Field Values

### SERVER_MAX_ID_QUALIFIER_SIZE_PROPERTY

    static final java.lang.String SERVER_MAX_ID_QUALIFIER_SIZE_PROPERTY

  A property that defines a maximum number of ID qualifiers in where clause of queries that are generated for example in `IncrementalFaultList` or in DISJOINT_BY_ID prefetch processing. This is needed to avoid where clause size limitations and memory usage efficiency.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Apache Cayenne. All Rights Reserved.